Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 811462 - webadmin - Creating DC stuck on Guide me window
Summary: webadmin - Creating DC stuck on Guide me window
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: unspecified
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
: 3.1
Assignee: Daniel Erez
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-11 07:06 UTC by Pavel Stehlik
Modified: 2012-08-09 08:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: ---


Attachments (Terms of Use)
new-dc (36.80 KB, image/png)
2012-04-11 07:06 UTC, Pavel Stehlik
no flags Details

Description Pavel Stehlik 2012-04-11 07:06:50 UTC
Created attachment 576688 [details]
new-dc

Description of problem:
 When creating new DC with params ( v 3.1, local storage) causes exception in frontend (see add info). The BE log shows:
2012-04-11 08:46:07,197 WARN  [org.ovirt.engine.core.dal.dbbroker.generic.DBConfigUtils] (http--0.0.0.0-8443-4) Adding new value to configuration cache.
2012-04-11 08:46:07,198 WARN  [org.ovirt.engine.core.dal.dbbroker.generic.DBConfigUtils] (http--0.0.0.0-8443-4) Didnt find the value of DBI18NPrefix in DB for version general - using default:

The DC is created, but user see waiting animation on Guide me window (it lasts for minutes).

Version-Release number of selected component (if applicable):
ovirt-engine-webadmin-portal-3.1.0_0001-3.el6.x86_64

How reproducible:
100% 

Steps to Reproduce:
1. create new DC type 3.1 with local storage
2.
3.
  
Actual results:


Expected results:


Additional info:
gwt:
=====
java.lang.ClassCastException: org.ovirt.engine.ui.uicommonweb.models.datacenters.DataCenterGuideModel$7 cannot be cast to org.ovirt.engine.ui.uicommonweb.models.datacenters.DataCenterGuideModel 	at org.ovirt.engine.ui.uicommonweb.models.datacenters.DataCenterGuideModel$7$1.OnSuccess(DataCenterGuideModel.java:213) 	at org.ovirt.engine.ui.frontend.Frontend$2.onSuccess(Frontend.java:206) 	at org.ovirt.engine.ui.frontend.Frontend$2.onSuccess(Frontend.java:1) 	at com.google.gwt.rpc.client.impl.RpcCallbackAdapter.onResponseReceived(RpcCallbackAdapter.java:104) 	at com.google.gwt.http.client.Request.fireOnResponseReceived(Request.java:287) 	at com.google.gwt.http.client.RequestBuilder$1.onReadyStateChange(RequestBuilder.java:395) 	at sun.reflect.GeneratedMethodAccessor47.invoke(Unknown Source) 	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) 	at java.lang.reflect.Method.invoke(Method.java:616) 	at com.google.gwt.dev.shell.MethodAdaptor.invoke(MethodAdaptor.java:103) 	at com.google.gwt.dev.shell.MethodDispatch.invoke(MethodDispatch.java:71) 	at com.google.gwt.dev.shell.OophmSessionHandler.invoke(OophmSessionHandler.java:167) 	at com.google.gwt.dev.shell.BrowserChannelServer.reactToMessagesWhileWaitingForReturn(BrowserChannelServer.java:326) 	at com.google.gwt.dev.shell.BrowserChannelServer.invokeJavascript(BrowserChannelServer.java:207) 	at com.google.gwt.dev.shell.ModuleSpaceOOPHM.doInvoke(ModuleSpaceOOPHM.java:132) 	at com.google.gwt.dev.shell.ModuleSpace.invokeNative(ModuleSpace.java:561) 	at com.google.gwt.dev.shell.ModuleSpace.invokeNativeObject(ModuleSpace.java:269) 	at com.google.gwt.dev.shell.JavaScriptHost.invokeNativeObject(JavaScriptHost.java:91) 	at com.google.gwt.core.client.impl.Impl.apply(Impl.java) 	at com.google.gwt.core.client.impl.Impl.entry0(Impl.java:214) 	at sun.reflect.GeneratedMethodAccessor40.invoke(Unknown Source) 	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) 	at java.lang.reflect.Method.invoke(Method.java:616) 	at com.google.gwt.dev.shell.MethodAdaptor.invoke(MethodAdaptor.java:103) 	at com.google.gwt.dev.shell.MethodDispatch.invoke(MethodDispatch.java:71) 	at com.google.gwt.dev.shell.OophmSessionHandler.invoke(OophmSessionHandler.java:167) 	at com.google.gwt.dev.shell.BrowserChannelServer.reactToMessages(BrowserChannelServer.java:281) 	at com.google.gwt.dev.shell.BrowserChannelServer.processConnection(BrowserChannelServer.java:531) 	at com.google.gwt.dev.shell.BrowserChannelServer.run(BrowserChannelServer.java:352) 	at java.lang.Thread.run(Thread.java:679)

Comment 1 Einav Cohen 2012-04-11 08:48:02 UTC
I believe that the DBI18NPrefix backend log warning has nothing to do with it. 
It seems that the ClassCastException from the gwt log is more relevant here.

Comment 2 Daniel Erez 2012-04-17 06:35:55 UTC
git commit 66f36be0c7b422235ab12843547d3ed93661da0a

Comment 3 Itamar Heim 2012-08-09 08:03:39 UTC
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/

Comment 4 Itamar Heim 2012-08-09 08:04:15 UTC
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/


Note You need to log in before you can comment on or make changes to this bug.